### Hierarchy

- Pairing

## Index

### Constructors

- constructor

### Properties

- device

### Methods

- initiatePair

## Constructors

### constructor

- new Pairing(device: AppleTV): Pairing

- - Defined in src/lib/pairing.ts:23

  #### Parameters

  - ##### device: AppleTV

  #### Returns Pairing

## Properties

### device

device: AppleTV

- Defined in src/lib/pairing.ts:25

## Methods

### initiatePair

- initiatePair(): Promise<(pin: string) => Promise<AppleTV>>

- - Defined in src/lib/pairing.ts:33

  Initiates the pairing process

  #### Returns Promise<(pin: string) => Promise<AppleTV>>

  A promise that resolves to a callback which takes in the pairing pin from the Apple TV.

Generated using TypeDoc